import request from '@/utils/request'

// 查询院校招生计划列表
export function listBusiWishUniversitySubmitRecruitPlan(query) {
  return request({
    url: '/back/busiWishUniversitySubmitRecruitPlan/list',
    method: 'get',
    params: query
  })
}

// 查询院校招生计划详细
export function getBusiWishUniversitySubmitRecruitPlan(id) {
  return request({
    url: '/back/busiWishUniversitySubmitRecruitPlan/' + id,
    method: 'get'
  })
}

// 新增院校招生计划
export function addBusiWishUniversitySubmitRecruitPlan(data) {
  return request({
    url: '/back/busiWishUniversitySubmitRecruitPlan',
    method: 'post',
    data: data
  })
}

// 修改院校招生计划
export function updateBusiWishUniversitySubmitRecruitPlan(data) {
  return request({
    url: '/back/busiWishUniversitySubmitRecruitPlan',
    method: 'put',
    data: data
  })
}

// 删除院校招生计划
export function delBusiWishUniversitySubmitRecruitPlan(id) {
  return request({
    url: '/back/busiWishUniversitySubmitRecruitPlan/' + id,
    method: 'delete'
  })
}

export function bindPlanEnrollMajor(data) {
  return request({
    url: '/back/busiWishUniversitySubmitRecruitPlan/bindPlanEnrollMajor',
    method: 'post',
    data: data
  })
}


export function getManualBindingYears() {
  return request({
    url: '/back/busiWishUniversitySubmitRecruitPlan/getManualBindingYears',
    method: 'get'
  })
}

export function getManualBindingList(data, params) {
  return request({
    url: '/back/busiWishUniversitySubmitRecruitPlan/getManualBindingList',
    method: 'post',
    data: data,
    params: params,
    timeout: 120000
  })
}

export function exportManualBindingList(data) {
  return request({
    url: '/back/busiWishUniversitySubmitRecruitPlan/exportManualBindingList',
    method: 'post',
    data: data
  })
}

export function importManualBindingList(data) {
  return request({
    url: '/back/busiWishUniversitySubmitRecruitPlan/importManualBindingList',
    method: 'post',
    data: data
  })
}
